Main Page Class Hierarchy Compound List File List Compound Members File Members

# make_triglist.c File Reference

`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <time.h>`
`#include <time_ew.h>`
`#include <earthworm.h>`
`#include <transport.h>`

Go to the source code of this file.

## Defines
#define | DATESTR_LEN 22
#define | PHASE_STR 200
## Functions
void | logit (char *, char *,...)
void | date17 (double, char *)
int | writetrig_init (char *, char *)
int | writetrig (char *, char *, char *)
void | writetrig_close (void)
void | bldtrig_head (char *, double, char *, char *)
void | bldtrig_phs (char *trigmsg, char *sta, char *comp, char *net, char ph, double pickTime, double saveStart, double durSave)
char * | make_datestr (double, char *)
## Variables
FILE * | fp
char | date [9]
char | date_prev [9]
time_t | now
char | trigName [100]
char | trigfilepath [70]
char | template [25]
char * | buf
tm | res
int | Init = 0
int | Disk = 1

## Define Documentation

#define DATESTR_LEN 22

| length of string required by make_datestr * Definition at line 267 of file make_triglist.c. Referenced by bldtrig_head(), and bldtrig_phs().

#define PHASE_STR 200

| Definition at line 268 of file make_triglist.c. Referenced by bldtrig_phs().

## Function Documentation

void bldtrig_head | ( | char * | ,
|  | double | ,
|  | char * | ,
|  | char * |
| ) |

| Definition at line 269 of file make_triglist.c. References DATESTR_LEN, and make_datestr().

void bldtrig_phs | ( | char * | trigmsg,
|  | char * | sta,
|  | char * | comp,
|  | char * | net,
|  | char | ph,
|  | double | pickTime,
|  | double | saveStart,
|  | double | durSave
| ) |

| Definition at line 289 of file make_triglist.c. References DATESTR_LEN, make_datestr(), and PHASE_STR.

void date17 | ( | double | ,
|  | char * |
| ) |

| Definition at line 269 of file chron3.c.

void logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 396 of file logit.c.

char * make_datestr | ( | double | ,
|  | char * |
| ) |

| Definition at line 329 of file make_triglist.c. References date17().

int writetrig | ( | char * | ,
|  | char * | ,
|  | char * |
| ) |

| Definition at line 189 of file make_triglist.c. References Disk, fp, gmtime_ew(), Init, res, and writetrig_init().

void writetrig_close | ( | void |  | ) |

| Definition at line 253 of file make_triglist.c.

int writetrig_init | ( | char * | ,
|  | char * |
| ) |

| Definition at line 76 of file make_triglist.c. References Disk, fp, gmtime_ew(), Init, logit(), res, and writetrig().

## Variable Documentation

char* buf`[static]`

| Definition at line 51 of file make_triglist.c.

char date[9]`[static]`

| Definition at line 45 of file make_triglist.c.

char date_prev[9]`[static]`

| Definition at line 46 of file make_triglist.c.

int Disk = 1`[static]`

| Definition at line 54 of file make_triglist.c. Referenced by writetrig(), and writetrig_init().

FILE* fp`[static]`

| Definition at line 44 of file make_triglist.c. Referenced by writetrig(), and writetrig_init().

int Init = 0`[static]`

| Definition at line 53 of file make_triglist.c. Referenced by writetrig(), and writetrig_init().

time_t now`[static]`

| Definition at line 47 of file make_triglist.c.

struct tm res`[static]`

| Definition at line 52 of file make_triglist.c. Referenced by writetrig(), and writetrig_init().

char template[25]`[static]`

| Definition at line 50 of file make_triglist.c.

char trigfilepath[70]`[static]`

| Definition at line 49 of file make_triglist.c.

char trigName[100]`[static]`

| Definition at line 48 of file make_triglist.c.